
/******************************************************************************/
/*									      */
/*									      */
/*				Vartalaap				      */
/*----------------------------------------------------------------------------*/
/*		Multicast Communication Software for UNIX		      */
/*									      */
/*				Version 1.0				      */
/*									      */
/*	Written by:							      */
/*			Yezdezard Lashkari				      */
/*			Viswanath Ramachandran				      */
/*			Sanjay Malpani					      */
/*									      */
/*									      */
/*		Department of Computer Science and Engineering		      */
/*		Indian Institute of Technology, Bombay 400076.		      */
/*				June 1991.				      */
/*									      */
/******************************************************************************/

/*
 *	Local Server Data Structures Typedef 
 */

#include	"../common/inc.h"

#define MAXPROC  15 	/* how many processes can use 1 local server for
			   multi talk */

typedef struct proc {
	long pid;	/* process id */
	FD sock;	/* its socket */
	char user[MAXNAMESZ];	/* the user name */
	int lreqno;   /* last request no */
} PROC_TAB[MAXPROC];

typedef struct {
	int procs[MAXPROC];		/* boolean array */
	int nprocs;	/* no of procs in the group, i.e no of 1s in above */
}LOCAL_TAB[VNGROUPS];	



